
## remove (almost) everything in the working environment.
## You will get no warning, so don't do this unless you are really sure.
rm(list = ls())

#increase memory size
memory.limit(size=NA) #reports memory size
memory.limit(size=50000)


library(stargazer)




# ==================================================================================================================
# set the directory to where the files are located
setwd("C:\\Users\\ddlc\\Documents\\Dropbox\\01. Research\\rational-choice-french-departments\\unexplained")

#===========================================================================

#read data
counties <- read.table("dataset.csv",header=TRUE,sep=",")

#construct broader family types
counties$stem <- counties$f1+counties$f2
counties$extended <- counties$f3+counties$f4
counties$nuclear <- counties$f5+counties$f6+counties$f7+counties$f8+counties$f9


stargazer(counties) # generates descriptive statistics

# regressions

reg1 <- lm(n0 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh, data=counties)
reg2 <- lm(eb0 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh, data=counties)
reg3 <- lm(eg0 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh  , data=counties)
reg4 <- lm(n1 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh , data=counties)
reg5 <- lm(eb1 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh , data=counties)
reg6 <- lm(eg1 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh , data=counties)
reg7 <- lm(n2 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh , data=counties)
reg8 <- lm(eb2 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh, data=counties)
reg9 <- lm(eg2 ~ extended+stem+catho+secul+distv+distr+oil+occ+subscriber1+nhigh+shigh , data=counties)


stargazer(reg1,reg2,reg3,reg4,reg5,reg6,reg7,reg8,reg9, title="Results",omit.stat=c("ser","f"),
 no.space=TRUE,type="text")

shapiro.test(residuals(reg1))
shapiro.test(residuals(reg2))
shapiro.test(residuals(reg3))
shapiro.test(residuals(reg4))
shapiro.test(residuals(reg5))
shapiro.test(residuals(reg6))
shapiro.test(residuals(reg7))
shapiro.test(residuals(reg8))
shapiro.test(residuals(reg9))

qqnorm(residuals(reg1)); qqline(residuals(reg1))
qqnorm(residuals(reg5)); qqline(residuals(reg5))

stargazer(reg1,reg2,reg3,reg4,reg5,reg6,reg7,reg8,reg9, title="Results",omit.stat=c("ser","f"),
 no.space=TRUE)
